<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;

class CreateUsersTable extends Migration {

	public function up()
	{
		Schema::create('users', function(Blueprint $table) {
			$table->increments('id');
			$table->smallInteger('role_id')->nullable()->default('1');
			$table->string('first_name', 255);
			$table->string('last_name', 255);
			$table->string('email', 320);
			$table->tinyInteger('timezone')->default('2');
			$table->datetime('last_activity')->nullable();
			$table->string('mobile_number', 50)->nullable();
			$table->char('password', 60);
			$table->tinyInteger('notification_badge')->nullable()->default('0');
			$table->smallInteger('organisation_id')->default('1');
			$table->string('profile_image', 255)->nullable();
			$table->string('profile_image_thumb', 255)->nullable();
			$table->string('remember_token', 255)->nullable();
			$table->softDeletes();
			$table->timestamps();
		});
	}

	public function down()
	{
		Schema::drop('users');
	}
}