<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;

class CreateDocumentsTable extends Migration {

	public function up()
	{
		Schema::create('documents', function(Blueprint $table) {
			$table->increments('id');
			$table->string('name', 255)->nullable();
			$table->smallInteger('created_by')->nullable();
			$table->string('type', 255)->nullable();
			$table->string('value', 255)->nullable();
			$table->date('expiration_date')->nullable();
			$table->smallInteger('location_id')->nullable();
			$table->smallInteger('child')->nullable();
			$table->smallInteger('parent')->nullable()->default('0');
			$table->string('group', 255)->nullable();
			$table->string('role')->nullable();
			$table->timestamps();
			$table->softDeletes();
		});
	}

	public function down()
	{
		Schema::drop('documents');
	}
}