<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;

class CreateVehicleDailyTable extends Migration {

	public function up()
	{
		Schema::create('vehicle_daily', function(Blueprint $table) {
			$table->increments('id');
			$table->string('location_city', 255)->nullable();
			$table->datetime('inspected_date')->nullable();
			$table->smallInteger('vehicle_id')->nullable();
			$table->smallInteger('driver_id')->nullable();
			$table->tinyInteger('inspected_inspector')->nullable()->default('0');
			$table->string('quantity', 255)->nullable();
			$table->tinyInteger('documents')->nullable()->default('0');
			$table->tinyInteger('tires')->nullable()->default('0');
			$table->tinyInteger('visual')->nullable()->default('0');
			$table->tinyInteger('safety_gear')->nullable()->default('0');
			$table->tinyInteger('protupozarni')->nullable()->default('0');
			$table->tinyInteger('safety_light')->nullable()->default('0');
			$table->tinyInteger('first_aid')->nullable()->default('0');
			$table->tinyInteger('pex')->nullable()->default('0');
			$table->string('notes', 255)->nullable();
			$table->integer('current_mileage')->nullable()->default('0');
			$table->timestamps();
			$table->softDeletes();
		});
	}

	public function down()
	{
		Schema::drop('vehicle_daily');
	}
}