<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;

class CreateVehicleMonthlyTable extends Migration {

	public function up()
	{
		Schema::create('vehicle_monthly', function(Blueprint $table) {
			$table->increments('id');
			$table->tinyInteger('vehicle_id')->nullable()->default('0');
			$table->string('location_city', 255)->nullable();
			$table->datetime('inspected_date')->nullable();
			$table->smallInteger('driver_id');
			$table->tinyInteger('inspected_inspector')->nullable()->default('0');
			$table->string('quantity', 255)->nullable();
			$table->tinyInteger('document_prometna')->nullable()->default('0');
			$table->tinyInteger('document_adr_vehicle')->nullable()->default('0');
			$table->tinyInteger('document_adr_driver')->nullable()->default('0');
			$table->tinyInteger('document_workorder')->nullable()->default('0');
			$table->tinyInteger('document_osobna')->nullable()->default('0');
			$table->tinyInteger('document_prijevozopasnih')->nullable()->default('0');
			$table->tinyInteger('document_prijevozopasnih_isprava')->nullable()->default('0');
			$table->tinyInteger('document_prijevozopasnih_ostalo')->nullable()->default('0');
			$table->tinyInteger('document_upute')->nullable()->default('0');
			$table->tinyInteger('document_propisana')->nullable()->default('0');
			$table->tinyInteger('vehicle_vlasnik')->nullable()->default('0');
			$table->tinyInteger('vehicle_masa_praznog')->nullable()->default('0');
			$table->tinyInteger('vehicle_masa_najveca')->nullable()->default('0');
			$table->tinyInteger('vehicle_kotaci')->nullable()->default('0');
			$table->tinyInteger('vehicle_armaturni_uredan')->nullable()->default('0');
			$table->tinyInteger('vehicle_armaturni_mehanicka')->nullable()->default('0');
			$table->tinyInteger('vehicle_armaturni_odvodi')->nullable()->default('0');
			$table->tinyInteger('vehicle_armaturni_propusti')->nullable()->default('0');
			$table->tinyInteger('vehicle_akumulator')->nullable()->default('0');
			$table->tinyInteger('vehicle_cisterna_nepropusno')->nullable()->default('0');
			$table->tinyInteger('vehicle_cisterna_opasna')->nullable()->default('0');
			$table->tinyInteger('vehicle_cisterna_spremna')->nullable()->default('0');
			$table->tinyInteger('vehicle_crijeva_neostecena')->nullable()->default('0');
			$table->tinyInteger('vehicle_crijeva_kape')->nullable()->default('0');
			$table->tinyInteger('vehicle_crijeva_spojevi')->nullable()->default('0');
			$table->tinyInteger('vehicle_elektrika_kabeli')->nullable()->default('0');
			$table->tinyInteger('vehicle_elektrika_uredjaji')->nullable()->default('0');
			$table->tinyInteger('vehicle_spremnici_zatvoreni')->nullable()->default('0');
			$table->tinyInteger('vehicle_spremnici_tekucina')->nullable()->default('0');
			$table->tinyInteger('vehicle_spremnici_odvod')->nullable()->default('0');
			$table->tinyInteger('vehicle_rukohvati')->nullable()->default('0');
			$table->tinyInteger('vehicle_stupanj')->nullable()->default('0');
			$table->tinyInteger('vehicle_vatra_mrezica')->nullable()->default('0');
			$table->tinyInteger('vehicle_vatra_poklopac')->nullable()->default('0');
			$table->tinyInteger('vehicle_vatra_vod')->nullable()->default('0');
			$table->tinyInteger('vehicle_zastitna_potpuna')->nullable()->default('0');
			$table->tinyInteger('vehicle_zastitna_podmetac')->nullable()->default('0');
			$table->tinyInteger('vehicle_zastitna_samostojeci')->nullable()->default('0');
			$table->tinyInteger('vehicle_zastitna_ozs')->nullable()->default('0');
			$table->tinyInteger('vehicle_zastitna_svjetiljka')->nullable()->default('0');
			$table->tinyInteger('vehicle_zastitna_dodatno')->nullable()->default('0');
			$table->tinyInteger('vehicle_protupozarni')->nullable()->default('0');
			$table->tinyInteger('vehicle_maska')->nullable()->default('0');
			$table->tinyInteger('vehicle_trokut')->nullable()->default('0');
			$table->tinyInteger('vehicle_prvapomoc')->nullable()->default('0');
			$table->tinyInteger('vehicle_pex')->nullable()->default('0');
			$table->tinyInteger('vehicle_uzemljenje')->nullable()->default('0');
			$table->tinyInteger('vehicle_narancaste_ispravne')->nullable()->default('0');
			$table->tinyInteger('vehicle_narancaste_unbroj')->nullable()->default('0');
			$table->tinyInteger('vehicle_narancaste_listici')->nullable()->default('0');
			$table->tinyInteger('vehicle_narancaste_pakovanje_natpisi')->nullable()->default('0');
			$table->tinyInteger('vehicle_narancaste_pakovanje_listici')->nullable()->default('0');
			$table->tinyInteger('vehicle_zavrsno_pakovanja')->nullable()->default('0');
			$table->tinyInteger('vehicle_zavrsno_pakovanja_broj')->nullable()->default('0');
			$table->tinyInteger('vehicle_zavrsno_male_kolicine')->nullable()->default('0');
			$table->tinyInteger('vehicle_zavrsno_vidljiva')->nullable()->default('0');
			$table->tinyInteger('vehicle_zavrsno_teret')->nullable()->default('0');
			$table->string('vehicle_notes', 255)->nullable();
			$table->integer('current_mileage')->nullable();
			$table->timestamps();
			$table->softDeletes();
		});
	}

	public function down()
	{
		Schema::drop('vehicle_monthly');
	}
}