<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;

class CreateMaintenanceTable extends Migration {

	public function up()
	{
		Schema::create('maintenance', function(Blueprint $table) {
			$table->increments('id');
			$table->smallInteger('type_id')->nullable();
			$table->smallInteger('vehicle_id')->nullable();
			$table->date('maintenance_date')->nullable();
			$table->string('maintenance_company', 255)->nullable();
			$table->string('maintenance_cost', 255)->nullable();
			$table->integer('current_mileage')->nullable()->default('0');
			$table->date('expected_date')->nullable();
			$table->string('notes', 255)->nullable();
			$table->integer('group_id')->nullable();
			$table->integer('expected_mileage')->nullable();
			$table->softDeletes();
			$table->timestamps();
		});
	}

	public function down()
	{
		Schema::drop('maintenance');
	}
}